File: control

package info (click to toggle)
libglvnd 1.1.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 7,104 kB
  • sloc: xml: 53,629; ansic: 37,516; python: 620; makefile: 562; sh: 107; perl: 87; cpp: 30
file content (199 lines) | stat: -rw-r--r-- 5,925 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
Source: libglvnd
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 debhelper (>= 10),
 pkg-config,
 libx11-dev,
 libxext-dev,
 python-dev,
 python-libxml2,
 x11proto-gl-dev,
 xauth,
 xvfb,
Standards-Version: 4.1.2
Section: libs
Homepage: https://github.com/NVIDIA/libglvnd
Vcs-Git: https://salsa.debian.org/xorg-team/lib/libglvnd.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libglvnd.git

Package: libglvnd-dev
Section: libdevel
Architecture: any
Depends:
 libglvnd0 (= ${binary:Version}),
 libglvnd-core-dev (= ${binary:Version}),
 libegl1 (= ${binary:Version}),
 libgles1 (= ${binary:Version}),
 libgles2 (= ${binary:Version}),
 libgl1 (= ${binary:Version}),
 libglx0 (= ${binary:Version}),
 libopengl0 (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 libegl1-mesa-dev (<< 17.2.0~rc4-1),
 libgl1-mesa-dev (<< 17.2.0~rc4-1),
 libgles1-mesa-dev (<< 17.0.0~rc3-1),
 libgles2-mesa-dev (<< 17.2.0~rc4-1),
Replaces:
 libegl1-mesa-dev (<< 17.2.0~rc4-1),
 libgl1-mesa-dev (<< 17.2.0~rc4-1),
 libgles1-mesa-dev (<< 17.0.0~rc3-1),
 libgles2-mesa-dev (<< 17.2.0~rc4-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the development files for libglvnd.

Package: libglvnd-core-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
Breaks: libglvnd-dev (<< 0.2.999+git20170201-1)
Replaces: libglvnd-dev (<< 0.2.999+git20170201-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- core development files
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the header files for libglvnd split in a separate
 package for Mesa.

Package: libglvnd0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks:
 libgldispatch0-nvidia,
Replaces:
 libgldispatch0-nvidia,
Multi-Arch: same
Description: Vendor neutral GL dispatch library
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains the GL dispatch library.

Package: libegl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libegl-mesa0,
Replaces:
 libegl1-mesa (<< 17.2.0~rc4-1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Breaks:
 libegl1-mesa (<< 17.2.0~rc4-1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- EGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for EGL.

Package: libgles1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Replaces:
 libgles1-mesa (<< 17.0.0~rc3-1),
 libgles2 (<< 1.0.0+git20180308-5),
Breaks:
 libgles1-mesa (<< 17.0.0~rc3-1),
 libgles2 (<< 1.0.0+git20180308-5),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLESv1 support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLESv1.

Package: libgles2
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Replaces:
 libgles2-mesa (<< 17.2.0~rc4-1),
Breaks:
 libgles2-mesa (<< 17.2.0~rc4-1),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLESv2 support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLESv2.

Package: libgl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libglx0 (= ${binary:Version}),
Replaces:
 libgl1-mesa-glx (<< 17.2.0~rc4-1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Breaks:
 libgl1-mesa-glx (<< 17.2.0~rc4-1),
 libglvnd0 (<< 0.2.999+git20170201-1),
 glx-diversions (<< 0.8),
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- legacy GL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for old libGL for compatibility reasons.

Package: libglx0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
 libglx-mesa0,
Replaces:
 libgl1-mesa-glx (<< 17.2.0~rc4-1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Breaks:
 libgl1-mesa-glx (<< 17.2.0~rc4-1),
 libglvnd0 (<< 0.2.999+git20170201-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- GLX support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for GLX.

Package: libopengl0
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglvnd0 (= ${binary:Version}),
Replaces: libglvnd0 (<< 0.2.999+git20170201-1)
Breaks: libglvnd0 (<< 0.2.999+git20170201-1)
Multi-Arch: same
Description: Vendor neutral GL dispatch library -- OpenGL support
 This is an implementation of the vendor-neutral dispatch layer for
 arbitrating OpenGL API calls between multiple vendors on a per-screen basis.
 .
 This package contains support for OpenGL.